public class InputSQLVerifyRile {
    private static final String DB_URL = "jdbc:mysql://localhost:3306/mydatabase";
    private static final String USER = "username";
    private static final String PASS = "password";

    public void executeQuery(String userInput) {
        try {
            // 获取数据库连接
            Connection conn = DriverManager.getConnection(DB_URL, USER, PASS);

            // 假设我们有一个用户ID字段，我们需要根据用户输入查找记录
            String sql = "SELECT * FROM users WHERE user_id = ?";
//            if(sql.indexOf("a")){
//
//            }

            // 创建预编译的Statement（PreparedStatement），用问号作为占位符代替实际值
            PreparedStatement pstmt = conn.prepareStatement(sql);// Noncompliant {{使用sql语句前应对其进行验证}}

            // 验证用户输入是否符合整数格式（这里仅作简单示例）
            if (userInput.matches("\\d+")) {
                int userId = Integer.parseInt(userInput);
                pstmt.setInt(1, userId);

                // 执行查询
                ResultSet rs = pstmt.executeQuery();

                // 处理结果集...
            } else {
                System.out.println("Invalid input. User ID must be a number.");
            }

        } catch (SQLException e) {
            e.printStackTrace();
        }
    }
}